

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

####################################################################################

set(vmmlib_PREFIX_DIR ${PACKAGE_PREFIX_DIR})
set(_output_type)
set(_out)
set(_req)
set(_quiet)
set(_fail)

if(vmmlib_FIND_REQUIRED)
  set(_output_type FATAL_ERROR)
  set(_out 1)
  set(_req REQUIRED)
else()
  set(_output_type STATUS)
  if(NOT vmmlib_FIND_QUIETLY)
    set(_out 1)
  endif()
endif()
if(vmmlib_FIND_QUIETLY)
  set(_quiet QUIET)
endif()

if(NOT _fail)
  set(VMMLIB_VERSION 1.6.2)
  set_and_check(VMMLIB_INCLUDE_DIRS ${vmmlib_PREFIX_DIR}/include)
  set(VMMLIB_DEB_DEPENDENCIES "vmmlib2 (>= 1.6)")
  set(VMMLIB_DEB_LIB_DEPENDENCY "vmmlib2-lib (>= 1.6)")
  set(VMMLIB_DEB_DEV_DEPENDENCY "vmmlib2-dev (>= 1.6)")

  if(vmmlib_FIND_COMPONENTS)
    find_library(${UPPER_PROJECT_NAME}_LIBRARY vmmlib NO_DEFAULT_PATH
                 PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )
    list(APPEND VMMLIB_LIBRARIES ${VMMLIB_LIBRARY})
    foreach(_component ${vmmlib_FIND_COMPONENTS})
      find_library(${_component}_libraryname vmmlib_${_component} NO_DEFAULT_PATH
        PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )

      if(${_component}_libraryname MATCHES ${_component}_libraryname-NOTFOUND)
        if(vmmlib_FIND_REQUIRED_${_component})
          set(_fail "Component library ${_component} not found")
          message(FATAL_ERROR "   vmmlib_${_component} "
            "not found in ${vmmlib_PREFIX_DIR}/lib")
        elseif(NOT _quiet)
          message(STATUS "   vmmlib_${_component} "
            "not found in ${vmmlib_PREFIX_DIR}/lib")
        endif()
      else()
        string(TOUPPER ${_component} _COMPONENT)
        set(VMMLIB_${_COMPONENT}_FOUND TRUE)
        set(VMMLIB_${_COMPONENT}_LIBRARY ${${_component}_libraryname})
        list(APPEND VMMLIB_LIBRARIES ${${_component}_libraryname})
        list(APPEND VMMLIB_COMPONENTS ${_component})
      endif()
    endforeach()
  else()
    set(VMMLIB_LIBRARY_NAMES )
    foreach(_libraryname ${VMMLIB_LIBRARY_NAMES})
      string(TOUPPER ${_libraryname} _LIBRARYNAME)
      find_library(${_LIBRARYNAME}_LIBRARY ${_libraryname} NO_DEFAULT_PATH
                   PATHS ${vmmlib_PREFIX_DIR} PATH_SUFFIXES lib )
      if(${_LIBRARYNAME}_LIBRARY MATCHES ${_LIBRARYNAME}_LIBRARY-NOTFOUND)
        set(_fail "${_libraryname} not found")
        if(_out)
          message(${_output_type} "   Missing the vmmlib "
            "library in ${vmmlib_PREFIX_DIR}/lib.")
        endif()
      else()
        list(APPEND VMMLIB_LIBRARIES ${${_LIBRARYNAME}_LIBRARY})
        string(REPLACE "vmmlib_" "" _component ${_libraryname})
        string(TOUPPER ${_component} _COMPONENT)
        set(VMMLIB_${_COMPONENT}_FOUND TRUE)
        list(APPEND VMMLIB_COMPONENTS ${_component})
      endif()
    endforeach()
  endif()

  if(EXISTS ${vmmlib_PREFIX_DIR}/share/vmmlib/CMake/options.cmake)
    include(${vmmlib_PREFIX_DIR}/share/vmmlib/CMake/options.cmake)
  endif()
endif()

if(_fail)
  set(VMMLIB_FOUND)
  set(VMMLIB_VERSION)
  set(VMMLIB_INCLUDE_DIRS)
  set(VMMLIB_LIBRARIES)
  set(VMMLIB_DEB_DEPENDENCIES)
  set(VMMLIB_LIBRARY)
  set(VMMLIB_COMPONENTS)
  if(_out)
    message(STATUS "Could not find vmmlib: ${_fail}")
  endif()
else()
  set(VMMLIB_FOUND TRUE)
  set(VMMLIB_MODULE_FILENAME )
  if(_out)
    message(STATUS "Found vmmlib 1.6.2 ${VMMLIB_COMPONENTS} in "
      "${VMMLIB_INCLUDE_DIRS}:${VMMLIB_LIBRARY}")
  endif()
endif()
